Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.util
Class AugmentationsImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.util.AugmentationsImpl

public class AugmentationsImpl
extends java.lang.Object
implements Augmentations

This class provides an implementation for Augmentations interface. Augmentations interface defines a hashtable of additional data that could be passed along the document pipeline. The information can contain extra arguments or infoset augmentations, for example PSVI. This additional information is identified by a String key.

Constructor Summary
`AugmentationsImpl()`

Method Summary
`void` | `clear()` Remove all objects from the Augmentations structure.
`java.lang.Object` | `getItem(java.lang.String key)` Get information identified by a key from the Augmentations structure
`java.util.Enumeration` | `keys()` Returns an enumeration of the keys in the Augmentations structure
`java.lang.Object` | `putItem(java.lang.String key, java.lang.Object item)` Add additional information identified by a key to the Augmentations structure.
`java.lang.Object` | `removeItem(java.lang.String key)` Remove additional info from the Augmentations structure
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AugmentationsImpl

    public AugmentationsImpl()

Method Detail

### putItem

    public java.lang.Object putItem(java.lang.String key,
                                    java.lang.Object item)

  Add additional information identified by a key to the Augmentations structure.
  Specified by:
    putItem in interface Augmentations

  Parameters:
    `key` - Identifier, can't be `null`
    `item` - Additional information
  Returns:
    the previous value of the specified key in the Augmentations strucutre, or `null` if it did not have one.

### getItem

    public java.lang.Object getItem(java.lang.String key)

  Get information identified by a key from the Augmentations structure
  Specified by:
    getItem in interface Augmentations

  Parameters:
    `key` - Identifier, can't be `null`
  Returns:
    the value to which the key is mapped in the Augmentations structure; `null` if the key is not mapped to any value.

### removeItem

    public java.lang.Object removeItem(java.lang.String key)

  Remove additional info from the Augmentations structure
  Specified by:
    removeItem in interface Augmentations

  Parameters:
    `key` - Identifier, can't be `null`

### keys

    public java.util.Enumeration keys()

  Returns an enumeration of the keys in the Augmentations structure
  Specified by:
    keys in interface Augmentations

### clear

    public void clear()

  Remove all objects from the Augmentations structure.
  Specified by:
    clear in interface Augmentations

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD